WordPress.org

Make WordPress Core


Ignore:
Timestamp:
09/03/2015 03:46:27 AM (4 years ago)
Author:
DrewAPicture
Message:

Docs: Add inline DocBlocks for the require_once() calls that now bring in top-level HTTP API functionality and HTTP API classes.

Classes brought in from separate files now include:

  • WP_Http
  • WP_Http_Streams
  • WP_Http_Curl
  • WP_HTTP_Proxy
  • WP_Http_Cookie
  • WP_Http_Encoding

See #33413. See #32246.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-includes/http.php

    r33881 r33882  
    1111 */
    1212
     13/** Core HTTP API functionality */
    1314require_once( ABSPATH . WPINC . '/http-functions.php' );
     15
     16/** WP_Http class */
    1417require_once( ABSPATH . WPINC . '/class-http.php' );
     18
     19/** WP_Http_Streams class */
    1520require_once( ABSPATH . WPINC . '/class-wp-http-streams.php' );
     21
     22/** WP_Http_Curl transport class */
    1623require_once( ABSPATH . WPINC . '/class-wp-http-curl.php' );
     24
     25/** WP_HTTP_Proxy transport class */
    1726require_once( ABSPATH . WPINC . '/class-wp-http-proxy.php' );
     27
     28/** WP_Http_Cookie class */
    1829require_once( ABSPATH . WPINC . '/class-wp-http-cookie.php' );
     30
     31/** WP_Http_Encoding class */
    1932require_once( ABSPATH . WPINC . '/class-wp-http-encoding.php' );
Note: See TracChangeset for help on using the changeset viewer.